<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Bono Entity
 *
 * @property int $id
 * @property int $stock_id
 * @property int $empleado_id
 * @property int $estado
 * @property int $moneda
 * @property float $monto
 * @property string $telefono
 * @property string $cedula
 * @property string $fecha
 * @property string $hora
 * @property int $activo
 *
 * @property \App\Model\Entity\Stock $stock
 * @property \App\Model\Entity\Empleado $empleado
 */
class Bono extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'stock_id' => true,
        'empleado_id' => true,
        'estado' => true,
        'moneda' => true,
        'monto' => true,
        'telefono' => true,
        'cedula' => true,
        'fecha' => true,
        'hora' => true,
        'activo' => true,
        'stock' => true,
        'empleado' => true
    ];
}
