<?php 
    function isMobile() {   
        if(preg_match('/(alcatel|amoi|Android|avantgo|blackberry|benq|cell|cricket|docomo|elaine|htc|iemobile|iphone|ipad|ipaq|iPod|j2me|Java|midp|mini|mmp|mobi|Motorola|nec-|nokia|Palm|panasonic|philips|phone|sagem|sharp|sie-|smartphone|sony|symbian|t-mobile|telus|up\.browser|up\.link|vodafone|wap|webos|wireless|xda|xoom|zte)/i', $_SERVER['HTTP_USER_AGENT'])) {
            return true;
        } else {
            return false;
        }
    }
?>


<?php 
  echo $this->Html->script('datepicker-pl');
  echo $this->Html->script('langs/pl.min');
 ?>



<div class="container">
  <div class="row col-xs-12">
     <h6 align="center">AGENDA DE VEHICULOS</h6>
     
     <?php echo $this->Form->create('Agendachasis', array('type' => 'GET', 'url' => array( 'action' => 'index'))); ?>
     
     <?php if(isMobile()) { ?>
     
     
        <?php echo $this->Form->control('search', array('label' => 'CHASIS:', 'placeholder' => 'Chasis ...', 'value'=> $search)); ?>
    
        <?php echo $this->Form->input('fechah', array('value' => $fechah ,'label' => 'FECHA CREACION:', 'div' => false, 'id' => 'dataod', 'class' => 'form-control s' , 'placeholder' => 'Desde' , 'value'=> $fechah )); ?>
        <?php echo $this->Form->input('fechad', array('value' => $fechad ,'label' => false, 'div' => false, 'id' => 'datado', 'class' => 'form-control s', 'placeholder' => 'Hasta' , 'value'=> $fechad)); ?>
  
    <?php } else { ?>
                      
                      
                      <div class="row col-xs-6">
        <?php echo $this->Form->control('search', array('label' => 'CHASIS:', 'placeholder' => 'Chasis ...', 'value'=> $search)); ?>
     </div>
     
     <div class="row col-xs-1"></div>
     <div class="row col-xs-3">
        <?php echo $this->Form->input('fechah', array('value' => $fechah ,'label' => 'FECHA CREACION:', 'div' => false, 'id' => 'dataod', 'class' => 'form-control s' , 'placeholder' => 'Desde' , 'value'=> $fechah )); ?>
        <?php echo $this->Form->input('fechad', array('value' => $fechad ,'label' => false, 'div' => false, 'id' => 'datado', 'class' => 'form-control s' ,  'placeholder' => 'Hasta' , 'value'=> $fechad)); ?>
     </div>     
     
         <?php } ?>
         
         
     <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-sm btn-block')); ?>  
     <?php echo $this->Form->end(); ?>
   </div>
</div>






<div class="table-responsive">
     <table class="table  table-sm">
        <thead>
            <tr>
              <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($Agendachasis as $agenda): ?>
            <tr>
              <td>
                <?= '<b>'.  'CHASIS: ' . '</b>'  . h(trim($agenda->chasis)) . '<br>' ?>
                <?= '<b>'.  'AGENDA: ' . '</b>'  . h(trim($agenda->agenda)) . '<br>' ?>
                  <?= '<b>'.  'CREADO POR: ' . '</b>'  . h(trim($agenda->user->first_name)) . ' - <b> EL DIA: </b> ' . h(trim($agenda->fecha)) . '<br>' ?> 
                  
                  <?=  $this->Html->link('Ver fotos', ['controller' => 'stocks',  'action' => 'mostrar', trim($agenda->chasis)], ['class' => 'btn btn-sm btn-info'])  ?>
                  
                 </td>
            </tr>
           
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>



    </div>
</div>

<script>
  $("#dataod").datepicker({dateFormat:"dd-mm-yy"});
  $("#datado").datepicker({dateFormat:"dd-mm-yy"});
  
    $("#dataodv").datepicker({dateFormat:"dd-mm-yy"});
  $("#datadov").datepicker({dateFormat:"dd-mm-yy"});
  </script>



