<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Autorizarrefuerzo $autorizarrefuerzo
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Autorizarrefuerzo'), ['action' => 'edit', $autorizarrefuerzo->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Autorizarrefuerzo'), ['action' => 'delete', $autorizarrefuerzo->id], ['confirm' => __('Are you sure you want to delete # {0}?', $autorizarrefuerzo->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Autorizarrefuerzos'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Autorizarrefuerzo'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="autorizarrefuerzos view large-9 medium-8 columns content">
    <h3><?= h($autorizarrefuerzo->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Chasis') ?></th>
            <td><?= h($autorizarrefuerzo->chasis) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($autorizarrefuerzo->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Refuerzos') ?></th>
            <td><?= h($autorizarrefuerzo->refuerzos) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($autorizarrefuerzo->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estado') ?></th>
            <td><?= $this->Number->format($autorizarrefuerzo->estado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuarioaprobado') ?></th>
            <td><?= $this->Number->format($autorizarrefuerzo->usuarioaprobado) ?></td>
        </tr>
    </table>
</div>
