<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Bono $bono
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $bono->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $bono->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Bonos'), ['action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('List Stocks'), ['controller' => 'Stocks', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Stock'), ['controller' => 'Stocks', 'action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Empleados'), ['controller' => 'Empleados', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Empleado'), ['controller' => 'Empleados', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="bonos form large-9 medium-8 columns content">
    <?= $this->Form->create($bono) ?>
    <fieldset>
        <legend><?= __('Edit Bono') ?></legend>
        <?php
            echo $this->Form->control('stock_id', ['options' => $stocks, 'empty' => true]);
            echo $this->Form->control('empleado_id', ['options' => $empleados, 'empty' => true]);
            echo $this->Form->control('estado');
            echo $this->Form->control('moneda');
            echo $this->Form->control('monto');
            echo $this->Form->control('telefono');
            echo $this->Form->control('cedula');
            echo $this->Form->control('fecha');
            echo $this->Form->control('hora');
            echo $this->Form->control('activo');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
