<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Bonosdescuento $bonosdescuento
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Bonosdescuento'), ['action' => 'edit', $bonosdescuento->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Bonosdescuento'), ['action' => 'delete', $bonosdescuento->id], ['confirm' => __('Are you sure you want to delete # {0}?', $bonosdescuento->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Bonosdescuentos'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Bonosdescuento'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="bonosdescuentos view large-9 medium-8 columns content">
    <h3><?= h($bonosdescuento->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($bonosdescuento->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Rimpbonoa') ?></th>
            <td><?= $this->Number->format($bonosdescuento->rimpbonoa) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Rimpbonob') ?></th>
            <td><?= $this->Number->format($bonosdescuento->rimpbonob) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Rimpbonoc') ?></th>
            <td><?= $this->Number->format($bonosdescuento->rimpbonoc) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usabonoa') ?></th>
            <td><?= $this->Number->format($bonosdescuento->usabonoa) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usabonob') ?></th>
            <td><?= $this->Number->format($bonosdescuento->usabonob) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usabonoc') ?></th>
            <td><?= $this->Number->format($bonosdescuento->usabonoc) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Recbonoa') ?></th>
            <td><?= $this->Number->format($bonosdescuento->recbonoa) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Recbonob') ?></th>
            <td><?= $this->Number->format($bonosdescuento->recbonob) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Recbonoc') ?></th>
            <td><?= $this->Number->format($bonosdescuento->recbonoc) ?></td>
        </tr>
    </table>
</div>
