<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\CambioVolante $cambioVolante
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $cambioVolante->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $cambioVolante->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Cambio Volantes'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="cambioVolantes form large-9 medium-8 columns content">
    <?= $this->Form->create($cambioVolante) ?>
    <fieldset>
        <legend><?= __('Edit Cambio Volante') ?></legend>
        <?php
            echo $this->Form->control('nombre');
            echo $this->Form->control('pago');
            echo $this->Form->control('fecha');
            echo $this->Form->control('chasis');
            echo $this->Form->control('modelo');
            echo $this->Form->control('color');
            echo $this->Form->control('cancelado');
            echo $this->Form->control('adelanto');
            echo $this->Form->control('borrado');
            echo $this->Form->control('fechacarga');
            echo $this->Form->control('usuariocarga');
            echo $this->Form->control('fechamodificado');
            echo $this->Form->control('usuarioelimina');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
