

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>LISTADO DE FUNCIONARIOS CV </h2>
            <?= $this->Html->link('Agregar funcionario', ['action' => 'add'], ['class' => 'btn btn-sm btn-primary']) ?>
    
        </div>
       
           

       

        <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
               
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('nombre') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cedula') ?></th>
                <th scope="col" class="actions"><?= __('Acciones') ?></th>
           </tr>
           </thead>
           <tbody>
            <?php foreach ($funcionariocvs as $funcionariocv): ?>
                <tr>
                    
                    <td><?= $this->Number->format($funcionariocv->id) ?></td>
                    <td><?= h($funcionariocv->nombre) ?></td>
                    <td><?= h($funcionariocv->cedula) ?></td>
                    <td><?= $this->Html->link('Editar', ['action' => 'edit', $funcionariocv->id], ['class' => 'btn btn-sm btn-info']) ?></td>


                </tr>
            </tr>
                <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>