<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\InventarioUsado $inventarioUsado
 */
?>


        <div class="page-header">
            <h2>Agregar Inventario</h2>
        </div>
        <?= $this->Form->create($inventarioUsado, ['novalidate']) ?>
        <fieldset>

            <?php  
                echo $this->Form->control('marca');    
                echo $this->Form->control('modelo');
                echo $this->Form->control('color');
                echo $this->Form->control('chasis');
                //GRUPO DE BOTONES: radio
                $options = array(1=>'SI',2=>'NO');
                $attchequin = array('type' => 'radio', 'options' => $options, 'label' => 'MARCA CHEQUIN?');
                $attgeral = array('type' => 'radio', 'options' => $options);
                $attradiotv = array('type' => 'radio', 'options' => $options, 'label' => 'RADIO / TV');
                $A1 = array('type' => 'radio', 'options' => $options, 'label' => 'INSIGNIA TRASERA ');
                $A2 = array('type' => 'radio', 'options' => $options, 'label' => 'INSIGNIA DELANTERA ');
                $A3 = array('type' => 'radio', 'options' => $options, 'label' => 'CABECERAS ');
                $A4 = array('type' => 'radio', 'options' => $options, 'label' => 'BOCINA ');
                $A5 = array('type' => 'radio', 'options' => $options, 'label' => 'AIRE ');
                $A6 = array('type' => 'radio', 'options' => $options, 'label' => 'BLOQUEO PUERTA ');
                $A7 = array('type' => 'radio', 'options' => $options, 'label' => 'TAPIZADOS ');
                $A8 = array('type' => 'radio', 'options' => $options, 'label' => 'LUCES ');
                $A9 = array('type' => 'radio', 'options' => $options, 'label' => 'ESPEJOS ');
                $A10 = array('type' => 'radio', 'options' => $options, 'label' => 'HERRAMIENTAS ');
                $A11 = array('type' => 'radio', 'options' => $options, 'label' => 'CUENTA CON SUFICIENTE ACEITE? ');
                $A12 = array('type' => 'radio', 'options' => $options, 'label' => 'MOTOR FUNCIONA BIEN? ');
                $A13 = array('type' => 'radio', 'options' => $options, 'label' => 'CAJA FUNCIONA BIEN? ');

                $A14 = array('type' => 'radio', 'options' => $options, 'label' => 'FUNCIONA CAMARA? ');
                $A15 = array('type' => 'radio', 'options' => $options, 'label' => 'TRAE LLANTA DEPORTIVA? ');
                $A16 = array('type' => 'radio', 'options' => $options, 'label' => 'TRAE LLANTA IGUAL? ');

            ?>
            
             <div class="table">
               <table class="table caption">
                <tr>
                    <td> <?php  echo $this->Form->input('chequin',$attchequin);?></td>
                    <td>  <?php   echo $this->Form->input('radiotv',$attradiotv);?></td>
                </tr>
                <tr> 
                     <td> <?php    echo $this->Form->input('insigniatrasera',$A1);?></td>
                     <td><?php echo $this->Form->input('insigniadetalantera',$A2);?></td>
                </tr>
                <tr>   
                    <td><?php echo $this->Form->input('cabeceras',$A3);?></td>
                    <td><?php echo $this->Form->input('bocina',$A4);?></td></tr>
                </tr>
                <tr>
                   <td><?php echo $this->Form->input('aire',$A5);?></td>
                   <td><?php echo $this->Form->input('bloqueopuerta',$A6);?></td>
                </tr>
                <tr> 
                    <td><?php echo $this->Form->input('tapizados',$A7);?></td>
                    <td><?php echo $this->Form->input('luces',$A8);?></td>
                 </tr>
                <tr>
                    <td><?php echo $this->Form->input('espejos',$A9);?></td></td>
                    <td><?php echo $this->Form->input('herramientas',$A10);?></td>
                </tr>

                <tr>
                    <td><?php echo $this->Form->input('cuentaaceite',$A11);?></td>
                    <td><?php echo $this->Form->input('motorfunciona',$A12);?></td>
                </tr>
                <tr>
                    <td><?php echo $this->Form->input('cajafunciona',$A13);?></td>
                    <td><?php echo $this->Form->input('funcionacamara',$A14);?></td>
                </tr>

                <tr>
                    <td><?php echo $this->Form->input('traellantadeportiva',$A15);?></td>
                    <td><?php echo $this->Form->input('traellantaiguales',$A16);?></td>
                </tr>
               </table>
            </div> 

            <?php  
                echo $this->Form->input('observacion');


            ?>
            
        </fieldset>

        <td class="actions">
           <?= $this->Form->button('Crear',['class' => 'btn btn-primary btn-lg btn-block']) ?>
           <?= $this->Form->end() ?>
        </td>


