<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Propuestasimulador $propuestasimulador
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Propuestasimulador'), ['action' => 'edit', $propuestasimulador->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Propuestasimulador'), ['action' => 'delete', $propuestasimulador->id], ['confirm' => __('Are you sure you want to delete # {0}?', $propuestasimulador->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Propuestasimuladors'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Propuestasimulador'), ['action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Simulador Ventas'), ['controller' => 'SimuladorVentas', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Simulador Venta'), ['controller' => 'SimuladorVentas', 'action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="propuestasimuladors view large-9 medium-8 columns content">
    <h3><?= h($propuestasimulador->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($propuestasimulador->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Simulador Venta') ?></th>
            <td><?= $propuestasimulador->has('simulador_venta') ? $this->Html->link($propuestasimulador->simulador_venta->id, ['controller' => 'SimuladorVentas', 'action' => 'view', $propuestasimulador->simulador_venta->id]) : '' ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Observacion') ?></th>
            <td><?= h($propuestasimulador->observacion) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($propuestasimulador->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Empresa') ?></th>
            <td><?= $this->Number->format($propuestasimulador->empresa) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Bono') ?></th>
            <td><?= $this->Number->format($propuestasimulador->bono) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estado') ?></th>
            <td><?= $this->Number->format($propuestasimulador->estado) ?></td>
        </tr>
    </table>
</div>
