<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Publicacion $publicacion
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Publicacion'), ['action' => 'edit', $publicacion->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Publicacion'), ['action' => 'delete', $publicacion->id], ['confirm' => __('Are you sure you want to delete # {0}?', $publicacion->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Publicacions'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Publicacion'), ['action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Empleados'), ['controller' => 'Empleados', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Empleado'), ['controller' => 'Empleados', 'action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="publicacions view large-9 medium-8 columns content">
    <h3><?= h($publicacion->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Empleado') ?></th>
            <td><?= $publicacion->has('empleado') ? $this->Html->link($publicacion->empleado->cedula, ['controller' => 'Empleados', 'action' => 'view', $publicacion->empleado->id]) : '' ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($publicacion->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fechagenerado') ?></th>
            <td><?= h($publicacion->fechagenerado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($publicacion->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cantidad') ?></th>
            <td><?= $this->Number->format($publicacion->cantidad) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuariogenerado') ?></th>
            <td><?= $this->Number->format($publicacion->usuariogenerado) ?></td>
        </tr>
    </table>
</div>
