<div class="row">
    <div class="col-md-12">
        <div class="page-header">
    		<h4 align="center">LISTADO DE REPUESTOS - FALTAN FOTOS</h4>
    		
            <div class="container-fluid">
                <?php echo $this->Form->create('Repuestos', array('type' => 'GET', 'url' => array('controller' => 'Repuestos', 'action' => 'faltanfotos'))); ?>
                <div class="row">
                    <div class="col-md-9 col-xs-12">
                        <?php echo $this->Form->input('search', array('label' => false, 'value' => $search, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'C贸digo o descripci贸n...')); ?>
                    </div>
                    <div class="col-md-3 col-xs-12">
                        <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-block')); ?>  <?php echo $this->Form->end(); ?>
                    </div>
                </div>
            </div>
            
    	</div>
        
       <div class="table-responsive">
             <table class="table  table-sm">
                <thead>
                    <tr>
                        <th><?= $this->Paginator->sort('prr_codigo', ['Cósigo']) ?></th>
                        <th><?= $this->Paginator->sort('prr_descripcion', ['Descripción']) ?></th>
                        <th><?= $this->Paginator->sort('prr_stock', ['Stock']) ?></th>
                        
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($repuestos as $repuesto): ?>
                    <tr>
                        
                        <td><?= h($repuesto->prr_codigo) ?></td>
                        <td><?= h($repuesto->prr_descripcion) ?></td>
                        <td><?= number_format($repuesto->prr_stock, 0, ',', '.') ?></td>
                        <td>
                            <?= $this->Html->link('Agregar Foto', ['action' => 'addfoto', $repuesto->prr_cod], ['class' => 'btn btn-sm btn-info']) ?>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>