<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Responsableorden $responsableorden
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Responsableorden'), ['action' => 'edit', $responsableorden->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Responsableorden'), ['action' => 'delete', $responsableorden->id], ['confirm' => __('Are you sure you want to delete # {0}?', $responsableorden->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Responsableorden'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Responsableorden'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="responsableorden view large-9 medium-8 columns content">
    <h3><?= h($responsableorden->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Nombre') ?></th>
            <td><?= h($responsableorden->nombre) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($responsableorden->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Borrado') ?></th>
            <td><?= $this->Number->format($responsableorden->borrado) ?></td>
        </tr>
    </table>
</div>
