<?php 
  echo $this->Html->script('datepicker-pl');
  echo $this->Html->script('langs/pl.min');
 ?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>BUSCADOR DE PROPUESTA DE VENTA</h2>

            <?php echo $this->Form->create($simuladorVenta, array('type' => 'get')); ?>
            <table class="table table-striped">
            <tr>
                <?php echo $this->Form->input('id', array('value' => $id ,'label' => false,  'placeholder' => 'Código de operación o Código de vendedor', 'required' => true)); ?>
                <?php echo $this->Form->input('fechah', array('value' => $fechah ,'label' => 'DESDE  -- LA FECHA SOLO SE APLICA PARA LOS CODIGO DE LOS VENDEDORES', 'div' => false, 'id' => 'dataod', 'class' => 'form-control s'  )); ?>
                <?php echo $this->Form->input('fechad', array('value' => $fechad ,'label' => 'HASTA', 'div' => false, 'id' => 'datado', 'class' => 'form-control s')); ?>
                <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?> </tr>
           </table>
           <?php echo $this->Form->end(); ?>
        
         

    </div>
        
        <div class="table-responsive text-nowrap">
            <table class="table table-striped">
                <thead>
                    <tr>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($simuladorVentas as $simuladorVenta):     ?>
                    <tr>
                        <td>
                        <?= '<b>'. 'Código: ' .'</b>' . $simuladorVenta->id . '<br>' ?>
                            <?= '<b>' . 'VENDEDOR: ' . '</b>' . $simuladorVenta->empleado->nombre . '<br>' ?>
                            <?= '<b>' . $simuladorVenta->stock->modelo . ' ' . trim($simuladorVenta->stock->ano) .  ', ' . $simuladorVenta->stock->estado .'</b>' . '<br>' ?>
                            <?= '<b>' . 'Fecha: ' . '</b>' . h($simuladorVenta->fecha)  ?>
                            <?= '&nbsp &nbsp &nbsp ' . '<b>' . 'Chasis: ' . '</b>' . $this->Html->link($simuladorVenta->chasis , [ 'controller' => 'stocks', 'action' => 'mostrar', trim($simuladorVenta->chasis)]) . '<br>' ?>

                            <?php if($simuladorVenta->condicion == 1) { ?>
                                <?php if($simuladorVenta->moneda == 1) { ?>
                                    <?= '<b>' . 'Moneda: ' . '</b>' . 'DOLARES ' . '<br>' ?>
                                    <?= '<b>' . 'Condición de Venta: ' . '</b>' . 'CONTADO '. '<br>' ?>
                                    <?= '<b>' . 'Precio Contado: ' . '</b>' .$this->Number->format((($simuladorVenta->stock->contado + $simuladorVenta->aumentar))) . '<br>' ?>
                                    <?= '<b>' . 'Total Propuesta Cliente: ' . '</b>' .$this->Number->format(($simuladorVenta->entrega)) . '<br>' ?>
                                    <?= '<b>' . 'Total con descuento: ' . '</b>' .$this->Number->format((($simuladorVenta->stock->contado + $simuladorVenta->aumentar) - $simuladorVenta->totalbono)) . '<br>' ?>
                                    <?= '<b>' . 'Costo: ' . '</b>' .$this->Number->format($simuladorVenta->stock->costo) . '<br>' ?>
                                    <?= '<b>' . 'Ganancia: ' . '</b>' .$this->Number->format( ((($simuladorVenta->stock->contado + $simuladorVenta->aumentar) - $simuladorVenta->totalbono)) -($simuladorVenta->stock->costo) ) . '<br>' ?>
                                    <?php 
                                } else { ?>
                                    <?= '<b>' . 'Moneda: ' . '</b>' . 'GUARANIES ' . '<br>' ?>
                                    <?= '<b>' . 'Condición de Venta: ' . '</b>' . 'CONTADO '. '<br>' ?>
                                    <?= '<b>' . 'Precio Contado: ' . '</b>' .$this->Number->format((($simuladorVenta->stock->contado + $simuladorVenta->aumentar) * $cotiventa)) . '<br>' ?>
                                    <?= '<b>' . 'Total Propuesta Cliente: ' . '</b>' .$this->Number->format(($simuladorVenta->entrega)) . '<br>' ?>
                                    <?= '<b>' . 'Total con descuento: ' . '</b>' .$this->Number->format((($simuladorVenta->stock->contado + $simuladorVenta->aumentar) - $simuladorVenta->totalbono) * $cotiventa) . '<br>' ?>
                                    <?= '<b>' . 'Costo: ' . '</b>' .$this->Number->format(($simuladorVenta->stock->costo * $cotiventa) ) . '<br>' ?>
                                    <?= '<b>' . 'Ganancia: ' . '</b>' .$this->Number->format( ((($simuladorVenta->stock->contado + $simuladorVenta->aumentar) - $simuladorVenta->totalbono) * $cotiventa) - ($simuladorVenta->stock->costo * $cotiventa) ) . '<br>' ?>
                           
                                <?php
                                } ?>
                                <?= '<b>' . 'Cant. bonos generados: ' . '</b>' . $simuladorVenta->veces . '<br>' ?> 

                            <?php } ?>

                            <?php if($simuladorVenta->condicion == 2) { 
                                   if($simuladorVenta->moneda == 1) { 
                                        echo '<b>' . 'Moneda: ' . '</b>' . 'DOLARES' . '<br>'; ;
                                        echo '<b>' . 'Condición de Venta: ' . '</b>' . 'CREDITO ' . '<br>' ;
                                        echo '<b>' . 'Financiación: ' . '</b>'  . $this->Number->format($simuladorVenta->meses) . ' meses' . '<br>';
                                        echo '<b>' . 'Total: ' . '</b>' .$this->Number->format($simuladorVenta->total - $simuladorVenta->totalbono ) . '<br>' ;
                                        echo '<b>' . 'Entrega: ' . '</b>' .$this->Number->format($simuladorVenta->entrega) . '<br>' ;
                                        echo '<b>' . 'Saldo: ' . '</b>' .$this->Number->format($simuladorVenta->saldo - $simuladorVenta->totalbono) . '<br>' ;
                                        $simuladorVenta->totalavender =  ($simuladorVenta->total - $simuladorVenta->totalbono );
                                        echo '<b>' . 'Costo: ' . '</b>' .$this->Number->format($simuladorVenta->stock->costo) . '<br>' ;
                                        echo '<b>' . 'Ganancia: ' . '</b>' .$this->Number->format( ($simuladorVenta->total - $simuladorVenta->totalbono) - ($simuladorVenta->stock->costo)) . '<br>' ;
                                   }else {
                                        echo '<b>' . 'Moneda: ' . '</b>' . 'GUARANIES' . '<br>'; ;
                                        echo '<b>' . 'Condición de Venta: ' . '</b>' . 'CREDITO ' . '<br>' ;
                                        echo '<b>' . 'Financiación: ' . '</b>'  . $this->Number->format($simuladorVenta->meses) . ' meses' . '<br>';
                                        echo '<b>' . 'Total: ' . '</b>' .$this->Number->format($simuladorVenta->total - ($simuladorVenta->totalbono * $cotiventa) ) . '<br>' ;
                                        echo '<b>' . 'Entrega: ' . '</b>' .$this->Number->format($simuladorVenta->entrega) . '<br>' ;
                                        echo '<b>' . 'Saldo: ' . '</b>' .$this->Number->format($simuladorVenta->saldo - ($simuladorVenta->totalbono * $cotiventa)) . '<br>' ;
                                        echo '<b>' . 'Costo: ' . '</b>' .$this->Number->format(($simuladorVenta->stock->costo * $cotiventa )) . '<br>' ;
                                        echo '<b>' . 'Ganancia: ' . '</b>' .$this->Number->format( ($simuladorVenta->total - ($simuladorVenta->totalbono * $cotiventa)) - ($simuladorVenta->stock->costo * $cotiventa )) . '<br>' ;
                                    } 
                                   echo '<b>' . 'Cant. bonos generados: ' . '</b>' . $simuladorVenta->veces . '<br>' ;
                              } ?>

                           
                            <?= '<b>' . 'Cédula: ' . '</b>' . h($simuladorVenta->ci) . ' ' ?>
                            <?= '<b>' . 'Teléfono: ' . '</b>' . h($simuladorVenta->telefono) . ' ' ?>
                            
                          
                            <?php
                            echo '<br>' ;
                            if($simuladorVenta->moneda == 1) {
                                echo '<b>' . 'Bono: ' . '</b>' . $this->Number->format($simuladorVenta->totalbono) . '<br>';
                            }else {
                                echo '<b>' . 'Bono: ' . '</b>' . $this->Number->format( ($simuladorVenta->totalbono * $cotiventa)) . '<br>';
                            } 
                            
                            if($simuladorVenta->precioespecial == 2) {
                                echo '<b> TIPO: </b> <span style="color: gold;font-weight: bold;font-size: 18px;">CREDITO ESPECIAL</span> <br>';
                            }
                            
                            
                            if($simuladorVenta->aprobado == 0){
                                 echo '<b>' . 'ESTADO: ' . '</b>' . 'NO APROBADO' . '<br>';
                            } else {
                                if($simuladorVenta->aprobado == 1){
                                    echo '<b>ESTADO: </b> <span style="color: green;font-weight: bold;font-size: 18px;">APROBADO</span><br>';

                                } else {
                                     echo '<b>ESTADO: </b> <span style="color: red;font-weight: bold;font-size: 18px;">RECHAZADO</span><br>';

                                }
                            }
                            
                            echo '<br>';

                            if($simuladorVenta->condicion == 2) {
                                echo $this->Html->link('Ver cuota', ['action' => 'view', $simuladorVenta->id], ['class' => 'btn btn-sm btn-primary']);
                                
                                echo  '&nbsp &nbsp';
                            }

                            if($simuladorVenta->estado == 2) {
                                echo  '&nbsp &nbsp &nbsp' . '<b>' . '*PENDIENTE*' . '</b>' . '<br>';
                            }
                            if($simuladorVenta->estado == 3) {
                                echo  '&nbsp &nbsp &nbsp' . '<b>' . '*BONOS GENERADOS POR SERGIO!*' . '</b>' . '<br>';
                            }
                            
                            


                            if($simuladorVenta->veces < 6) { 
                                //echo $this->Html->link('Pedir más bono', [ 'controller' => 'stocks', 'action' => 'pedirmasbonobuscador', $simuladorVenta->id, 1], ['class' => 'btn btn-sm btn-success']) ;
                            } else {
                                if($simuladorVenta->estado == 1) {
                                   // echo $this->Html->link('PEDIR BONO AL GERENTE GENERAL', ['action' => 'gerente2bono', $simuladorVenta->id, $empresa], ['class' => 'btn btn-sm btn-success']);
                                }
                                if($simuladorVenta->estado == 3) {
                                    echo '<br>';
                                   //echo $this->Html->link('VOLVER A PEDIR BONO', ['action' => 'gerente3bono', $simuladorVenta->id, $empresa], ['class' => 'btn btn-sm btn-success']);
                                }
                            }

                            echo $this->Html->link('Ver fotos', ['controller' => 'stocks', 'action' => 'mostrar', trim($simuladorVenta->chasis)], ['class' => 'btn btn-sm btn-info']) ;
               
                            if($simuladorVenta->aprobado == 0 && ($current_user['id'] == 1 || $current_user['id'] == 364) ){
                              echo '&nbsp;&nbsp;' . $this->Html->link('APROBAR', ['action' => 'aprobarventa', $simuladorVenta->id], [
                                    'class' => 'btn btn-sm btn-success',
                                    'onclick' => "return confirm('¿Estás seguro de que quieres aprobar la propuesta?');"
                                ]);

                              echo '&nbsp &nbsp' . $this->Html->link('RECHAZAR', ['action' => 'rechazaventa', $simuladorVenta->id],
                                    ['class' => 'btn btn-sm btn-danger',
                                    'onclick' => "return confirm('¿Estás seguro de que quieres rechazar la propuesta?');"
                               
                                 ]);
                                
                            }

                            ?>

                        </td>

                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>

    </div>
</div>

<script>
  $("#dataod").datepicker({dateFormat:"dd-mm-yy"});
  $("#datado").datepicker({dateFormat:"dd-mm-yy"});
  </script>
