<?php
$isMobile = $this->request->is('mobile');
$this->Html->scriptBlock('function isMobile() {return window.innerWidth <= 768;}', ['block' => true]);
?>
<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">LISTADO DE VEHICULOS - SEÑADOS</h4>
            
        </div>
        
       <div class="table-responsive">
             <table class="table  table-sm">
                <thead>
                    <tr>
                        <?php 
                          if($current_user['fotogrilla']==0){
                        ?>
                        <th>&nbsp;</th>
                        <?php 
                          }
                        ?>
                        <?php                       
                        if ($isMobile and $current_user['tipovista'] == 1) : ?>                        
                            <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?><br>
                            <?= $this->Paginator->sort('ano', ['Año']) ?><br>
                            <?= $this->Paginator->sort('color', ['Color']) ?><br>
                            <?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                        <?php else : ?>
                            <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                            <th><?= $this->Paginator->sort('ano', ['Año']) ?></th>
                            <th><?= $this->Paginator->sort('color', ['Color']) ?></th>
                            <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                        <?php endif; ?>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($stocks as $stock): ?>
                    <tr>
                        <?php 
                            if($current_user['fotogrilla']==0){
                        ?>
                        <td>
                            <?php 
                                $imgfile = (WWW_ROOT.'/img/chasisthumbs/thumb_'.$stock->imagen);
                                if (file_exists($imgfile)):
                                    echo $this->Html->image('/img/chasisthumbs/thumb_'.$stock->imagen, array('width' => 80, 'height' => 60, 'url' => ['action' => 'view', $stock->id] ));
                                else:
                                    echo $this->Html->image('/img/logohvn.png', array('width' => 80, 'height' => 60, 'url' => ['action' => 'view', $stock->id] ));
                                endif;    
                            ?>

                             <!-- <?php echo $this->Html->image('/img/chasisthumbs/thumb_'.$stock->imagen, array('width' => 80, 'height' => 60)); ?> -->
                             </td>
                        <?php 
                          }
                        ?>
                        <?php
                        if ($isMobile and $current_user['tipovista'] == 1) : ?>
                            <td><?= h($stock->modelo) ?><br>
                            <?= h($stock->ano) ?><br>
                            <?= h($stock->color) ?><br>
                            <?= h($stock->chasis) ?></td>
                        <?php else : ?>
                            <td><?= h($stock->modelo) ?></td>
                            <td><?= h($stock->ano) ?></td>
                            <td><?= h($stock->color) ?></td>
                            <td><?= h($stock->chasis) ?></td>
                        <?php endif; ?>

                        <td>
                            <?= $this->Html->link('VER', ['action' => 'view', $stock->id], ['class' => 'btn btn-sm btn-info']) ?>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>