<style>
    .error-div {
        background-color: #f44336;
        /* Fondo rojo */
        color: white;
        /* Texto blanco */
        padding: 10px;
        /* Espaciado interno */
        border-radius: 4px;
        /* Bordes redondeados opcional */
        margin-bottom: 15px;
        /* Espacio abajo opcional */
    }
</style>

<?php

if ($current_user['id'] == 1) {
    echo $vendedors;

    if (!empty($vendedors)) {
        echo 'vacio';
    }
}

?>
<script>
    var bloqueado = <?php echo json_encode($stock->bloqueosena); ?>;
    var obsbloqueo = <?php echo json_encode($stock->obsbloqueo); ?>;

    if (bloqueado == 1) {
        var linea1 = ' ¡¡ CHASIS BLOQUEADO !!';
        var linea2 = obsbloqueo;
        var mensaje = linea1 + '\n' + linea2;
        alert(mensaje);
    }
</script>

<div class="well">
    <?php if (!empty($stock->imagen)) { ?>
        <dl>
            <div class="thumbnail">
                <?= $this->Html->image('/img/chasis/' . $stock->imagen, array('url' => ['action' => 'mostrar', trim($stock->chasis)]), ['fullBase' => true]) ?>
                <div class="caption">
                    <?= $this->Html->link('Ver más fotos', ['action' => 'mostrar', trim($stock->chasis)], ['class' => 'btn btn-sm btn-info']) ?>
                </div>
            </div>
        </dl>
    <?php } ?>

    <h4><b><?= $stock->modelo . ' ' . $stock->ano . ' ' . $stock->color ?></b>

    </h4>

    <?php if ($stock->bloqueosena == 1) { ?>

        <div class="container mt-5">
            <div class="error-div">
                <strong><?php echo json_encode($stock->obsbloqueo); ?></strong>
            </div>
        </div>
    <?php } ?>
    <p>
        <?php if ($stock->nivel == 3) { ?>
            <label style="color:gold; font-size:25px;">★</label>
            <label style="color:gold; font-size:25px;">★</label>
            <label style="color:gold; font-size:25px;">★</label>
        <?php } ?>

        <?php if ($stock->nivel == 2) {  ?>
            <label style="color:gold; font-size:25px;">★</label>
            <label style="color:gold; font-size:25px;">★</label>
            <label style="color:grey; font-size:25px;">★</label>
        <?php } ?>

        <?php if ($stock->nivel == 1) { ?>
            <label style="color:gold; font-size:25px;">★</label>
            <label style="color:grey; font-size:25px;">★</label>
            <label style="color:grey; font-size:25px;">★</label>
        <?php } ?>
    <p>


    <dl>
        <div style="padding:5px"> </div>
        <dt><b>Chassis: </b></dt>
        <?= $stock->chasis ?>


        <div style="padding:5px"> </div>
        <dt><b>Kilometraje: </b></dt>
        <?= $stock->kilometraje ?>


        <?php
        if ($stock->carroceria > 1) {
        ?>

            <div style="padding:5px"> </div>
            <dt><b>Carroceria: </b></dt>
            <?php if ($stock->carroceria == 2) {
                echo 'VIEJO';
            } else if ($stock->carroceria == 3) {
                echo 'NUEVO';
            } else if ($stock->carroceria == 4) {
                echo 'EQUIPADO';
            }
            ?>

        <?php }  ?>


        <?php
        if ($stock->traccion > 0) {
        ?>

            <div style="padding:5px"> </div>
            <dt><b>Tracción: </b></dt>
            <?php if ($stock->traccion == 1) {
                echo '4x2';
            } else if ($stock->traccion == 2) {
                echo '4x4';
            }
            ?>

        <?php }  ?>


        <?php
        if ($stock->combustible > 0) {
        ?>

            <div style="padding:5px"> </div>
            <dt><b>Combustible: </b></dt>
            <?php if ($stock->combustible == 1) {
                echo 'NAFTA';
            } else if ($stock->combustible == 2) {
                echo 'DIESEL';
            }
            ?>

        <?php }  ?>

        <div style="padding:5px"> </div>
        <dt><b>Motor: </b></dt>
        <?= $stock->motor ?>


        <?php
        if ($stock->disponible == 0) {
        ?>

            <?php if (!empty($stock->formadeventa)) { ?>
                <div style="padding:5px"> </div>
                <dt><b>Observación Forma de Venta: </b></dt>
                <?= $stock->formadeventa ?>
            <?php } ?>

            <div style="padding:5px"> </div>
            <dt><b>Deportivo: </b></dt>
            <?= $stock->deportivo ?>

            <div style="padding:5px"> </div>
            <dt><b>Llanta deportiva: </b></dt>
            <?= $stock->llanta ?>

            <div style="padding:5px"> </div>
            <dt><b>Entrega minima: </b></dt>
            <?= number_format($stock->entregaminima, 0, ',', '.') ?>:

            <div style="padding:5px"> </div>
            <dt><b>Entrega minima Gs: </b></dt>
            <?= number_format(($stock->entregaminima * $cotizacionventa), 0, ',', '.') ?>:

            <div style="padding:5px"> </div>
            <?php
            //sergio oscar richard
            if ($stock->estado == 'RECIEN IMPORTADO') {
                echo  '<b> Contado 3 meses: </b> ';
                echo '<br>' . number_format($stock->contado3meses, 0, ',', '.') . '<br>';
            ?>
                <div style="padding:5px"> </div>
            <?php }  ?>


            <?php if ($current_user['id'] < 4) {
                if ($stock->estado == 'RECIEN IMPORTADO') { ?>
                    <div style="padding:5px"> </div>

                    <?php if ($stock->tipoprecio == 1) { ?>
                        <dt><b>Tipo de precio: AUTOMATICO </b></dt>
                    <?php } ?>

                    <?php if ($stock->tipoprecio == 2) { ?>
                        <dt><b>Tipo de precio: COSTO + MONTO </b></dt>
                    <?php } ?>

                    <?php if ($stock->tipoprecio == 3) { ?>
                        <dt><b>Tipo de precio: SOLO MONTO </b></dt>
                    <?php } ?>
                    <br>
            <?php }
            } ?>


        <?php } ?>

        <?php
        //sergio oscar richard
        if ($current_user['id'] < 4) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format(($stock->costo), 0, ',', '.') . '<br>';

            if ($stock->aumentocosto == 1) {
                echo  '<b> AUMENTO SU COSTO </b> ';
            }
        }

        //german 
        if ($current_user['id'] == 31) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }

        //NESTOR
        if ($current_user['id'] == 48) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //CESAR
        if ($current_user['id'] == 201) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //vivian fleita
        if ($current_user['id'] == 418) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //Claudia
        if ($current_user['id'] == 559) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //JENNIFER
        if ($current_user['id'] == 326) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //DIANA
        if ($current_user['id'] == 15) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //GAMARRA
        if ($current_user['id'] == 42) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //ESTEFI
        if ($current_user['id'] == 26) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //DIANA MORINIGO
        if ($current_user['id'] == 25) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //BURGOS
        if ($current_user['id'] == 19) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }

        //CLAUDIA
        if ($current_user['id'] == 269) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //MARTHA
        if ($current_user['id'] == 130) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //JUAN DIAZ
        if ($current_user['id'] == 11) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //NIDIA
        if ($current_user['id'] == 197) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //BLANCA
        if ($current_user['id'] == 299) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //PAOLA
        if ($current_user['id'] == 382) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //EMILCE
        if ($current_user['id'] == 4) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //JUAN MARTINEZ
        if ($current_user['id'] == 6) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        //DIVINA
        if ($current_user['id'] == 110) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }

        //OSMAR
        if ($current_user['id'] == 393) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }

        //JESSICA OBREGON
        if ($current_user['id'] == 451) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }

        //MATIAS SOLO CONTADO
        if ($current_user['id'] == 67 && $stock->solocontado == 1) {
            echo  '<br><b> COSTO: </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }


        //tabla user
        if ($current_user['mostrarstock'] == 1) {
            echo  '<br><b> COSTO : </b> ';
            echo '<br>' . number_format($stock->costo, 0, ',', '.') . '<br>';
        }
        ?>
        <div style="padding:5px"> </div>


        <?php
        if ($stock->disponible == 0) {
        ?>

            <dt><b>Ultimo precio: </b></dt>
            <?= number_format($stock->contado, 0, ',', '.') ?>


            <div style="padding:5px"> </div>
            <?php
            if ($stock->secuestrado == 0) {
            ?>
                <dt><b>Estado: </b></dt> <?= $stock->estado ?>
            <?php
            } else {
            ?>
                <dt><b>Estado: </b></dt> Secuestrado
            <?php
            }
            ?>

            <div style="padding:5px"> </div>
            <dt><b>Señado: </b></dt> <?= $stock->sena ?>

            <?php if ($stock->sena == 'SI') { ?>
                <dt><b>Fecha seña: </b></dt> <?= $stock->fechasena ?> <div style="padding:5px"> </div>
            <?php } ?>

            <?php if ($stock->clientesena == '3174238') { ?>
                <dt><b>PARA TRASLADO</b></dt>
                <?php } else {
                if (!empty($vendedors)) { ?>
                    <dt><b>Señado por: </b></dt> <?= $vendedors->nombre . " " . $vendedors->apellido ?>
            <?php }
            } ?>

        <?php
        }
        ?>

        <div style="padding:5px"> </div>
        <dt><b>Sucursal: </b></dt> <?= $stock->sucursal ?>


        <div style="padding:5px"> </div>
        <dt><b>Observación: </b></dt> <?= $stock->observacion ?>


        <div style="padding:5px"> </div>
        <dt><b>Ubicación: </b></dt> <?= $stock->ubicacion . $stock->actualizado ?>
        <?php echo $this->Html->link(
            'Abrir mapa',
            $stock->localubicacion,
            ['target' => '_blank', 'class' => 'btn btn-primary']
        ); ?>

        <div style="padding:10px"> </div>


        <?php
        if ($preciocreditos->id > 0  && $stock->estado == 'RECIEN IMPORTADO') {
        ?>
            <?= $this->Html->link('FORMA DE PAGO', ['action' => 'cuotasvarias', trim($stock->id)], ['class' => 'btn btn-sm btn-info btn-block']) ?>
        <?php
        }
        ?>

        <div style="padding:10px"> </div>


        <h4 align="center">
            <?php
            /*
            1 -> RICHARD
            2 -> OSCAR
            3 -> SERGIO
            15 -> DIANA
            130 -> MARTHA
            312 -> BILL
            326 -> JENNIFER
            341 -> MILCIADES
            382 -> PAOLA
            */
            if (
                $current_user['id'] < 4 or
                $current_user['id'] == 15 or
                $current_user['id'] == 326 or
                $current_user['id'] == 312 or
                $current_user['id'] == 341 or
                $current_user['id'] == 130 or
                $current_user['id'] == 393
            ) {
                if ($stock->disponible == 0) {
                    echo $this->Html->link('NO DISPONIBLE', ['controller' => 'Stocks', 'action' => 'nodisponible', $stock->id], ['class' => 'btn btn-sm btn-danger']);
                } else {
                    echo $this->Html->link('DISPONIBLE', ['controller' => 'Stocks', 'action' => 'disponible', $stock->id], ['class' => 'btn btn-sm btn-danger']);
                }
            }
            ?>

            <?php
            if ($stock->disponible == 0) {
            ?>
                <?php
                if (
                    $current_user['id'] == 1 or $current_user['id'] == 3 or $current_user['id'] == 48
                    or $current_user['id'] == 341 //mil 
                    or $current_user['id'] == 364 //Osmar
                    or $current_user['id'] == 326 //jennifer
                    or $current_user['id'] == 443 //antonella
                    or $current_user['id'] == 559 //claudia
                    or $current_user['id'] == 545 //johana
                    or $current_user['id'] == 79 //Manu
                ) {
                ?>
                    <?= $this->Html->link('CAMBIAR PRECIO', ['controller' => 'Cambioprecios', 'action' => 'add', trim($stock->id)], ['class' => 'btn btn-sm btn-danger']) ?>
                <?php
                }
                ?>

                <?php
                if (
                    $current_user['id'] == 1 or $current_user['id'] == 3 or $current_user['id'] == 48
                    or $current_user['id'] == 130 //mil 
                    or $current_user['id'] == 364 //Osmar
                ) {
                ?>
                    <?= $this->Html->link('BORRAR FOTOS', ['action' => 'quitarfotos', trim($stock->chasis)], ['class' => 'btn btn-sm btn-info']) ?>
                <?php
                }
                ?>

                <?= $this->Html->link('ENVIAR PROPUESTA', ['controller' => 'Propuestas', 'action' => 'add', trim($stock->chasis)], ['class' => 'btn btn-sm btn-success']) ?>

                <?php if ($current_user['id'] == 31 or $current_user['id'] == 101 or $current_user['id'] == 204 or $current_user['id'] == 205 or $current_user['id'] == 15 or $current_user['id'] == 19 or $current_user['id'] == 210 or $current_user['id'] == 237) { ?>
                    <?= $this->Html->link('CAMBIAR UBICACION', ['controller' => 'DepositosUbicas', 'action' => 'add', trim($stock->chasis)], ['class' => 'btn btn-sm btn-primary']) ?>
                <?php } ?>



                <?php
                if (
                    $current_user['id'] == 3 or
                    $current_user['id'] == 1 or
                    $current_user['id'] == 35 or
                    $current_user['id'] == 326
                ) {
                ?>
                    <?= $this->Html->link('ENVIAR A REMATE', ['controller' => 'Remates', 'action' => 'add', trim($stock->chasis), $stock->costo], ['class' => 'btn btn-sm btn-danger']) ?>
                <?php
                }
                ?>

            <?php
            } else {
            }
            ?>

            <?php
            if ($current_user['id'] == 130 or $current_user['id'] == 1 or $current_user['id'] == 548 or $current_user['id'] == 694) {
                echo $this->Html->link('CAMBIAR UBICACION', ['controller' => 'DepositosUbicas', 'action' => 'add', trim($stock->chasis)], ['class' => 'btn btn-sm btn-primary']);
            }
            ?>

            <?php
            if ($current_user['lavadero'] == 1) {
            ?>
                <?= $this->Html->link('MARCAR COMO LAVADO', ['controller' => 'lavaderos', 'action' => 'add', trim($stock->chasis)], ['class' => 'btn btn-sm btn-info']) ?>
            <?php
            }
            ?>


            <?= $this->Html->link('MARCAR TERMINADO', ['controller' => 'Stocks', 'action' => 'terminado', $stock->id], ['class' => 'btn btn-sm btn-info', 'style' => 'background-color: #E2FFE1; color: #000000;']) ?>


            <?php
            if ($current_user['id'] == 130 or $current_user['id'] == 1 or $current_user['id'] == 79 or $current_user['id'] == 326) {
                echo $this->Html->link('CAMBIAR INFO', ['action' => 'modinfo', trim($stock->id)], ['class' => 'btn btn-sm btn-primary']);
            }
            ?>


            <?php
            if ($stock->sena == 'NO' and ($current_user['id'] == 130 or $current_user['id'] == 1 or $current_user['id'] == 694 or $current_user['id'] == 364)) {
                echo $this->Html->link('SEÑAR PARA TRASLADO', ['action' => 'aggremovesena', trim($stock->chasis), 1], ['class' => 'btn btn-sm btn-primary']);
            }
            ?>


        </h4>


    </dl>
</div>