<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\TipoTrabajo $tipoTrabajo
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $tipoTrabajo->tip_id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $tipoTrabajo->tip_id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Tipo Trabajo'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="tipoTrabajo form large-9 medium-8 columns content">
    <?= $this->Form->create($tipoTrabajo) ?>
    <fieldset>
        <legend><?= __('Edit Tipo Trabajo') ?></legend>
        <?php
            echo $this->Form->control('tip_nombre');
            echo $this->Form->control('tip_precio');
            echo $this->Form->control('tip_borrado');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
