<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Ubica $ubica
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $ubica->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $ubica->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Ubicas'), ['action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('List Depositos'), ['controller' => 'Depositos', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Deposito'), ['controller' => 'Depositos', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="ubicas form large-9 medium-8 columns content">
    <?= $this->Form->create($ubica) ?>
    <fieldset>
        <legend><?= __('Edit Ubica') ?></legend>
        <?php
            echo $this->Form->control('ubicacion');
            echo $this->Form->control('depositos._ids', ['options' => $depositos]);
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
