<?php
$isMobile = $this->request->is('mobile');
$this->Html->scriptBlock('function isMobile() {return window.innerWidth <= 768;}', ['block' => true]);
?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">SEGURO & MANTENIMIENTO</h4>
            <div class="table-responsive">
                 <?php echo $this->Form->create('Stocks', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'Viewventacab', 'action' => 'index'))); ?>
                 <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Nombre o Apellido ...')); ?>
                 <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>
                 <?php echo $this->Form->end(); ?>
            </div>
        </div>
        <?php
        if ($isMobile and $current_user['tipovista'] == 1) : ?>
            <div class="table-responsive">
                <table class="table table-striped table-hover">
                    <thead>
                        <tr>
                            <th><?= $this->Paginator->sort('id', ['Id']) ?><br>
                                <?= $this->Paginator->sort('fecha', ['Fecha']) ?><br>
                                <?= $this->Paginator->sort('cliente', ['Cliente']) ?><br>
                                <?= $this->Paginator->sort('nombre', ['Nombre']) ?><br>
                                <?= $this->Paginator->sort('apellido', ['Apellido']) ?><br>
                                <?= $this->Paginator->sort('seguro', ['Seguro']) ?><br>
                                <?= $this->Paginator->sort('mantenimiento', ['Mantenimiento']) ?><br>
                                Opciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($viewventacab as $item) : ?>
                            <tr>
                                <td><?= h($item->id) ?><br>
                                    <?= h($item->fecha) ?><br>
                                    <?= h($item->cliente) ?><br>
                                    <?= h($item->nombre) ?><br>
                                    <?= h($item->apellido) ?><br>
                                    <?php
                                    if ($item->seguro == 0) {
                                        echo '--';
                                    } else {
                                        if ($item->seguro == 1) {
                                            echo 'SI';
                                        } else {
                                            echo 'NO';
                                        }
                                    }
                                    ?><br>

                                    <?php
                                    if ($item->mantenimiento == 0) {
                                        echo '--';
                                    } else {
                                        if ($item->mantenimiento == 1) {
                                            echo 'SI';
                                        } else {
                                            echo 'NO';
                                        }
                                    }
                                    ?><br>

                                    <?= $this->Form->button('Seguro', ['class' => 'btn-seguro btn btn-sm btn-primary', 'data-itemid' => $item->id]) ?>
                                    <?= $this->Form->button('Mantenimiento', ['class' => 'btn-mantenimiento btn btn-sm btn-success', 'data-itemid' => $item->id]) ?>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>

            <div class="paginator">
                <ul class="pagination">
                    <?= $this->Paginator->prev('< Anterior') ?>
                    <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                    <?= $this->Paginator->next('Siguiente >') ?>
                </ul>
                <p><?= $this->Paginator->counter() ?></p>
            </div>
        <?php else : ?>
            <div class="table-responsive">
                <table class="table table-striped table-hover">
                    <thead>
                        <tr>
                            <th><?= $this->Paginator->sort('id', ['Id']) ?></th>
                            <th><?= $this->Paginator->sort('fecha', ['Fecha']) ?></th>
                            <th><?= $this->Paginator->sort('cliente', ['Cliente']) ?></th>
                            <th><?= $this->Paginator->sort('nombre', ['Nombre']) ?></th>
                            <th><?= $this->Paginator->sort('apellido', ['Apellido']) ?></th>
                            <th><?= $this->Paginator->sort('seguro', ['Seguro']) ?></th>
                            <th><?= $this->Paginator->sort('mantenimiento', ['Mantenimiento']) ?></th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($viewventacab as $item) : ?>
                            <tr>
                                <td><?= h($item->id) ?></td>
                                <td><?= h($item->fecha) ?></td>
                                <td><?= h($item->cliente) ?></td>
                                <td><?= h($item->nombre) ?></td>
                                <td><?= h($item->apellido) ?></td>
                                <td><?php
                                    if ($item->seguro == 0) {
                                        echo '--';
                                    } else {
                                        if ($item->seguro == 1) {
                                            echo 'SI';
                                        } else {
                                            echo 'NO';
                                        }
                                    }
                                    ?></td>

                                <td><?php
                                    if ($item->mantenimiento == 0) {
                                        echo '--';
                                    } else {
                                        if ($item->mantenimiento == 1) {
                                            echo 'SI';
                                        } else {
                                            echo 'NO';
                                        }
                                    }
                                    ?></td>
                                <td>
                                    <?= $this->Form->button('Seguro', ['class' => 'btn-seguro btn btn-sm btn-primary', 'data-itemid' => $item->id]) ?>
                                    <?= $this->Form->button('Mantenimiento', ['class' => 'btn-mantenimiento btn btn-sm btn-success', 'data-itemid' => $item->id]) ?>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>


            <div class="paginator">
                <ul class="pagination">
                    <?= $this->Paginator->prev('< Anterior') ?>
                    <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                    <?= $this->Paginator->next('Siguiente >') ?>
                </ul>
                <p><?= $this->Paginator->counter() ?></p>
            </div>
        <?php endif; ?>
    </div>
</div>


<div id="modal-seguro" class="modal" style="max-width: 400px; margin: 0 auto;">
    <div class="modal-content">
        <div style="margin-left: 10px;margin-right: 10px;margin-top: 10px;margin-bottom: 10px;">
            <h4>Opciones Seguro</h4>
            <?= $this->Form->create(null, ['id' => 'form-seguro']) ?>
            <?= $this->Form->input('id', ['label' => 'Id', 'readonly' => true]) ?>
            <?= $this->Form->input('seguro', ['label' => 'Seguro', 'options' => ['0' => 'No definido', '1' => 'SI', '2' => 'NO']]) ?>
            <?= $this->Form->button('Guardar', ['class' => 'modal-close-seguro btn btn-primary btn-lg btn-block']) ?>
            <?= $this->Form->end() ?>
            </br>
            <button class="modal-close btn btn-danger btn-lg btn-block">Cerrar</button>
        </div>
    </div>
</div>

<div id="modal-mantenimiento" class="modal" style="max-width: 400px; margin: 0 auto;">
    <div class="modal-content">
        <div style="margin-left: 10px;margin-right: 10px;margin-top: 10px;margin-bottom: 10px;">
            <h4>Opciones Mantenimiento</h4>
            <?= $this->Form->create(null, ['id' => 'form-mantenimiento']) ?>
            <?= $this->Form->input('id', ['label' => 'Id', 'readonly' => true]) ?>
            <?= $this->Form->input('mantenimiento', ['label' => 'Mantenimiento', 'options' => ['0' => 'No definido', '1' => 'SI', '2' => 'NO']]) ?>
            <?= $this->Form->button('Guardar', ['class' => 'modal-close-mantenimiento btn btn-primary btn-lg btn-block']) ?>
            <?= $this->Form->end() ?>
            </br>
            <button class="modal-close btn btn-danger btn-lg btn-block">Cerrar</button>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
<script>
    $(document).ready(function() {
        // Inicializa el modal
        $('.modal').modal();

        //$('.modal-close').click(function() {
        //    $('#modal-seguro').modal('close');
        //});

        $('.modal-close-seguro').click(function() {
            $('#modal-seguro').modal('close');
        });

        $('.modal-close-mantenimiento').click(function() {
            $('#modal-mantenimiento').modal('close');
        });

        // Maneja el evento de clic en el boton de "Seguro"
        $('.btn-seguro').click(function(e) {
            e.preventDefault();

            // Obtiene el ID 
            var itemId = $(this).data('itemid');
            console.log("itemId--> " + itemId);

            // Establece el valor del campo oculto del formulario con el ID 
            $('#form-seguro input[name="id"]').val(itemId);

            // Abre el modal
            $('#modal-seguro').modal('open');
        });

        // Maneja el evento de clic en el boton de "Mantenimiento"
        $('.btn-mantenimiento').click(function(e) {
            e.preventDefault();

            // Obtiene el ID 
            var itemId = $(this).data('itemid');
            console.log("itemId--> " + itemId);

            // Establece el valor del campo oculto del formulario con el ID 
            $('#form-mantenimiento input[name="id"]').val(itemId);

            // Abre el modal
            $('#modal-mantenimiento').modal('open');
        });


        // Maneja el evento de envio del formulario del modal
        $('#form-seguro').submit(function(e) {
            e.preventDefault();

            // Realiza una solicitud Ajax al servidor
            jQuery.ajax({
                url: '/Viewventacab/addseguro',
                type: 'POST',
                async: true,
                cache: false,
                data: $('#form-seguro').serialize(),
                success: function(response) {
                    console.log($('#form-seguro').serialize());
                    console.log("ok");
                    location.reload();
                },
                error: function(response) {
                    console.log($('#form-seguro').serialize());
                    console.log("error");
                    console.log(response.responseText);
                }
            });
        });

        $('#form-mantenimiento').submit(function(e) {
            e.preventDefault();

            // Realiza una solicitud Ajax al servidor
            jQuery.ajax({
                url: '/Viewventacab/addaprobmantenimiento',
                type: 'POST',
                async: true,
                cache: false,
                data: $('#form-mantenimiento').serialize(),
                success: function(response) {
                    console.log($('#form-mantenimiento').serialize());
                    console.log("ok");
                    location.reload();
                },
                error: function(response) {
                    console.log($('#form-mantenimiento').serialize());
                    console.log("error");
                    console.log(response.responseText);
                }
            });
        });

    });
</script>

<style>
    .modal-close {
        margin-left: auto;
    }

    /* Media query para pantallas mas pequenhas */
    @media (max-width: 768px) {
        .modal {
            width: 100%;
            max-width: none;
        }
    }
</style>