<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\Query;

/**
* Generadors Controller
*
* @property \App\Model\Table\GeneradorsTable $Generadors
*
* @method \App\Model\Entity\Generador[]|\Cake\Datasource\ResultSetInterface paginate( $object = null, array $settings = [] )
*/

class GeneradorsController extends AppController {
    /**
    * Index method
    *
    * @return \Cake\Http\Response|null
    */
    
public function index() {
    // In a controller or table method.
    $query = $this->Generadors->find('all', [
        'order' => ['id' => 'DESC']
    ]);
    $row = $query->first();
    
    $usuario = $this->Auth->User('id');
    if($usuario == 1 or $usuario == 364 or $usuario == 15 or $usuario == 694){
      $this->set('veri', true);
    } else {
      $this->set('veri', false);  
    }
    
    $this->set('generador', $row);
}



    
   public function add($id = null) {
        $codigo = $this->_generateRandomCode(4); 
        
        $generador = $this->Generadors->newEntity();
        $generador->codigo = $codigo;
        $generador->estado = 0;
        $generador->detalle = '';
        $generador->usuario = $this->Auth->User('id');
        $generador->fecha = date('d/m/Y'); // Obtiene la fecha actual en el formato 'dd/mm/yyyy'
        $generador->fecha = $this->_formatDate($generador->fecha); // Formatea la fecha

        if ($this->Generadors->save($generador)) {
            echo "<script>history.go(-1)</script>";
        }
        
   }

    private function _generateRandomCode($length) {
        $characters = '0123456789';
        $code = '';
    
        for ($i = 0; $i < $length; $i++) {
            $randomIndex = mt_rand(0, strlen($characters) - 1);
            $code .= $characters[$randomIndex];
        }
    
        return $code;
    }
    
    private function _formatDate($date) {
        list($day, $month, $year) = explode('/', $date);
        $day = str_pad($day, 2, '0', STR_PAD_LEFT);
        $month = str_pad($month, 2, '0', STR_PAD_LEFT);
        return "$day/$month/$year";
    }


  
}
