<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Repuestos Model
 *
 *
 * @method \App\Model\Entity\Repuestos get($primaryKey, $options = [])
 * @method \App\Model\Entity\Repuestos newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Repuestos[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Repuestos|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Repuestos|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Repuestos patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Repuestos[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Repuestos findOrCreate($search, callable $callback = null, $options = [])
 */
class RepuestosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('repuestos');
        $this->setDisplayField('prr_cod');
        $this->setPrimaryKey('prr_cod');

    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('prr_cod')
            ->allowEmpty('prr_cod');

        return $validator;
    }
}
