<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Deposito $deposito
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $deposito->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $deposito->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Depositos'), ['action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('List Ubicas'), ['controller' => 'Ubicas', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Ubica'), ['controller' => 'Ubicas', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="depositos form large-9 medium-8 columns content">
    <?= $this->Form->create($deposito) ?>
    <fieldset>
        <legend><?= __('Edit Deposito') ?></legend>
        <?php
            echo $this->Form->control('sucursal');
            echo $this->Form->control('ubicas._ids', ['options' => $ubicas]);
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
