<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Deposito $deposito
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Deposito'), ['action' => 'edit', $deposito->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Deposito'), ['action' => 'delete', $deposito->id], ['confirm' => __('Are you sure you want to delete # {0}?', $deposito->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Depositos'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Deposito'), ['action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Ubicas'), ['controller' => 'Ubicas', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Ubica'), ['controller' => 'Ubicas', 'action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="depositos view large-9 medium-8 columns content">
    <h3><?= h($deposito->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Sucursal') ?></th>
            <td><?= h($deposito->sucursal) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($deposito->id) ?></td>
        </tr>
    </table>
    <div class="related">
        <h4><?= __('Related Ubicas') ?></h4>
        <?php if (!empty($deposito->ubicas)): ?>
        <table cellpadding="0" cellspacing="0">
            <tr>
                <th scope="col"><?= __('Id') ?></th>
                <th scope="col"><?= __('Ubicacion') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
            <?php foreach ($deposito->ubicas as $ubicas): ?>
            <tr>
                <td><?= h($ubicas->id) ?></td>
                <td><?= h($ubicas->ubicacion) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['controller' => 'Ubicas', 'action' => 'view', $ubicas->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['controller' => 'Ubicas', 'action' => 'edit', $ubicas->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['controller' => 'Ubicas', 'action' => 'delete', $ubicas->id], ['confirm' => __('Are you sure you want to delete # {0}?', $ubicas->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </table>
        <?php endif; ?>
    </div>
</div>
