<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Inventario[]|\Cake\Collection\CollectionInterface $InventarioPlayas
 */
?>

<?= $this->Html->css('bootstrap.min.css') ?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">LISTADO DE INVENTARIOS - PLAYAS</h4>
            
             <?php echo $this->Form->create('InventarioPlayas', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'InventarioPlayas', 'action' => 'index'))); ?>
         
              <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chassis...', 'value'=> $search )); ?>
               <?php echo $this->Form->input('search2', array('label' => 'SUCURSAL : ' , 'options' => $users, 'value'=> $search2));?>   
              
          
          <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>

          
        
         </div>  
         </div>
      <div class="col-md-12">   
        <div class="table-responsive">
             <table class="table  table-sm">
            <thead>
            <tr>
                <th><?= $this->Paginator->sort('fecha', ['Fecha']) ?></th>
                <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                <th><?= $this->Paginator->sort('marca', ['Marca']) ?></th>
                <th><?= $this->Paginator->sort('color', ['Color']) ?></th>
                <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th> 
                <th><?= $this->Paginator->sort('empresa', ['Sucursal']) ?></th>
                <th></th>
            </tr>
            </thead>
            <tbody>
             <?php foreach ($inventarioPlayas as $inventario): ?>
            <tr>

                <td><?= h($inventario->fecha) ?></td>
                <td><?= strtoupper($inventario->modelo) ?></td>
                <td><?= strtoupper($inventario->marca) ?></td>
                <td><?= strtoupper($inventario->color) ?></td>
                <td><?= strtoupper($inventario->chasis) ?></td>
                <td><?php if($inventario->empresa == 1) {
                 echo 'HVN MATRIZ';} 
                    if($inventario->empresa == 2) { echo 'PREMIO';}
                    if($inventario->empresa == 3) { echo 'KM 11';}
                 ?></td>
                <td>
                    <?= $this->Html->link('VER', ['action' => 'view', $inventario->id], ['class' => 'btn btn-sm btn-info']) ?>
                    
                   <?php   if($current_user['id']==1){  ?>
                    <?= $this->Form->postLink(__('borrar'), ['action' => 'delete', $inventario->id], ['confirm' => __('Desea borrar # {0}?', $inventario->id)]) ?>
                    <?php  } ?>
                </td>
            </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>
