<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Inventariorechazado $inventariorechazado
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Inventariorechazado'), ['action' => 'edit', $inventariorechazado->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Inventariorechazado'), ['action' => 'delete', $inventariorechazado->id], ['confirm' => __('Are you sure you want to delete # {0}?', $inventariorechazado->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Inventariorechazados'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Inventariorechazado'), ['action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Inventarios'), ['controller' => 'Inventarios', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Inventario'), ['controller' => 'Inventarios', 'action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="inventariorechazados view large-9 medium-8 columns content">
    <h3><?= h($inventariorechazado->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Inventario') ?></th>
            <td><?= $inventariorechazado->has('inventario') ? $this->Html->link($inventariorechazado->inventario->id, ['controller' => 'Inventarios', 'action' => 'view', $inventariorechazado->inventario->id]) : '' ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chasis') ?></th>
            <td><?= h($inventariorechazado->chasis) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Recibido') ?></th>
            <td><?= h($inventariorechazado->recibido) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Observacion') ?></th>
            <td><?= h($inventariorechazado->observacion) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($inventariorechazado->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($inventariorechazado->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cuentaaceite') ?></th>
            <td><?= $this->Number->format($inventariorechazado->cuentaaceite) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Motorfunciona') ?></th>
            <td><?= $this->Number->format($inventariorechazado->motorfunciona) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cajafunciona') ?></th>
            <td><?= $this->Number->format($inventariorechazado->cajafunciona) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chequin') ?></th>
            <td><?= $this->Number->format($inventariorechazado->chequin) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Radiotv') ?></th>
            <td><?= $this->Number->format($inventariorechazado->radiotv) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Insigniatrasera') ?></th>
            <td><?= $this->Number->format($inventariorechazado->insigniatrasera) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Insigniadetalantera') ?></th>
            <td><?= $this->Number->format($inventariorechazado->insigniadetalantera) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cabeceras') ?></th>
            <td><?= $this->Number->format($inventariorechazado->cabeceras) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Bocina') ?></th>
            <td><?= $this->Number->format($inventariorechazado->bocina) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Aire') ?></th>
            <td><?= $this->Number->format($inventariorechazado->aire) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Bloqueopuerta') ?></th>
            <td><?= $this->Number->format($inventariorechazado->bloqueopuerta) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Tapizados') ?></th>
            <td><?= $this->Number->format($inventariorechazado->tapizados) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Luces') ?></th>
            <td><?= $this->Number->format($inventariorechazado->luces) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Espejos') ?></th>
            <td><?= $this->Number->format($inventariorechazado->espejos) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Herramientas') ?></th>
            <td><?= $this->Number->format($inventariorechazado->herramientas) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuario') ?></th>
            <td><?= $this->Number->format($inventariorechazado->usuario) ?></td>
        </tr>
    </table>
</div>
