<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Lavadero $lavadero
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Lavadero'), ['action' => 'edit', $lavadero->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Lavadero'), ['action' => 'delete', $lavadero->id], ['confirm' => __('Are you sure you want to delete # {0}?', $lavadero->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Lavaderos'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Lavadero'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="lavaderos view large-9 medium-8 columns content">
    <h3><?= h($lavadero->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($lavadero->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chasis') ?></th>
            <td><?= h($lavadero->chasis) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($lavadero->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Empleado') ?></th>
            <td><?= $this->Number->format($lavadero->empleado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuarioapp') ?></th>
            <td><?= $this->Number->format($lavadero->usuarioapp) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Monto') ?></th>
            <td><?= $this->Number->format($lavadero->monto) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estado') ?></th>
            <td><?= $this->Number->format($lavadero->estado) ?></td>
        </tr>
    </table>
</div>
