<?php
$isMobile = $this->request->is('mobile');
$this->Html->scriptBlock('function isMobile() {return window.innerWidth <= 768;}', ['block' => true]);
?>

<!-- localStorage.clear -->
<?php if ($_SESSION["localstorageclear"] == 1) {
  echo "<script>localStorage.clear();</script>";
  $_SESSION["localstorageclear"] = 0;
}
?>

<div class="container">

  <div class="col-md-12">
    <div class="page-header">
      <h4 style="text-align: center;">LISTADO DE COMPRAS: En Iquique</h4>
      <div class="row">
        <?php echo $this->Form->create(null, array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'ListadoCompra2', 'action' => 'index1'))); ?>
        <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'oninput' => "this.value = this.value.toUpperCase()", 'placeholder' => 'Chasis, marca o modelo ...')); ?>
        <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>
        <?php echo $this->Form->end(); ?>
      </div>
    </div>

    <?php
    if ($isMobile and $current_user['tipovista'] == 2) : ?>

      <div class="table-responsive">
        <table class="table table-striped table-hover">
          <thead>
            <tr>
              <th scope="col">
                <?= $this->Paginator->sort('id', 'Id') ?><br>
                <?= $this->Paginator->sort('fecha', 'Fecha Compra') ?><br>
                <?= $this->Paginator->sort('chasis', 'Chasis') ?><br>
                <?= $this->Paginator->sort('marca', 'Marca') ?><br>
                <?= $this->Paginator->sort('modelo', 'Modelo') ?><br>
                <?= $this->Paginator->sort('ano', 'Año') ?><br>
                <?= $this->Paginator->sort('fechaiquique', 'Iquique desde') ?><br>
              </th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($listadocompra2 as $listadocompra) : ?>
              <tr>
                <td>
                  <?= h($listadocompra->id) ?><br>
                  <?= h($listadocompra->fecha) ?><br>
                  <?= h($listadocompra->chasis) ?><br>
                  <?= h($listadocompra->marca) ?><br>
                  <?= h($listadocompra->modelo) ?><br>
                  <?= h($listadocompra->ano) ?><br>
                  <?= h($listadocompra->fechaiquique) ?><br>
                  <?php echo $this->Form->checkbox('checkbox_' . $listadocompra->id, [
                    'label' => '',
                    'value' => '1',
                    'id' => 'checkbox_' . $listadocompra->id,
                    'data-checkbox-id' => $listadocompra->id
                  ]); ?>
                </td>
                <td>
                  <a href="/stocks/mostrar/<?= h($listadocompra->chasis) ?>" target="_blank" class="btn btn-success">Ver Fotos</a>
                </td>
              <?php endforeach; ?>
          </tbody>
        </table>
      </div>
    <?php else : ?>
      <div class="table-responsive">
        <table class="table table-striped table-hover">
          <thead>
            <tr>
              <th scope="col">
                <?= $this->Paginator->sort('id', 'Id') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('fecha', 'Fecha') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('chasis', 'Chasis') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('marca', 'Marca') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('modelo', 'Modelo') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('ano', 'Año') ?>
              </th>
              <th scope="col">
                <?= $this->Paginator->sort('fechaiquique', 'Iquique desde') ?>
              </th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($listadocompra2 as $listadocompra) : ?>
              <tr>
                <td>
                  <?= h($listadocompra->id) ?>
                </td>
                <td>
                  <?= h($listadocompra->fecha) ?>
                </td>
                <td id="elchasis">
                  <?= h($listadocompra->chasis) ?>
                </td>
                <td>
                  <?= h($listadocompra->marca) ?>
                </td>
                <td>
                  <?= h($listadocompra->modelo) ?>
                </td>
                <td>
                  <?= h($listadocompra->ano) ?>
                </td>
                <td>
                  <?= h($listadocompra->fechaiquique) ?>
                </td>
                <td>
                  <?php echo $this->Form->checkbox('checkbox_' . $listadocompra->id, [
                    'label' => '',
                    'value' => '1',
                    'id' => 'checkbox_' . $listadocompra->id,
                    'data-checkbox-id' => $listadocompra->id
                  ]); ?>
                </td>
                <td>
                  <a href="/stocks/mostrar/<?= h($listadocompra->chasis) ?>" target="_blank" class="btn btn-success">Ver Fotos</a>
                </td>
              <?php endforeach; ?>
          </tbody>
        </table>
      </div>
    <?php endif; ?>

    <div class="paginator">
      <ul class="pagination">
        <?= $this->Paginator->numbers() ?>
      </ul>
      <p>
        <?= $this->Paginator->counter(['format' => __('{{page}} de {{pages}}, mostrando {{current}} registro(s)
        de un total de {{count}}')]) ?>
      </p>
    </div>
  </div>
</div>

<?php if (
  $current_user['id'] == 1 or // richard
  $current_user['id'] == 2 or // oscar
  $current_user['id'] == 3 or // sergio
  $current_user['id'] == 48 or // nestor
  $current_user['id'] == 694 or // luism
  $current_user['id'] == 701 or // liz
  $current_user['id'] == 15
) : ?>
  <!-- Asignar Chofer -->
  <div class="form-group">
    <?php $fechaActual = date('d/m/Y'); ?>
    <?= $this->Form->create(null, ['url' => '/ListadoCompra2/addcambiochofer1', 'id' => 'form_chofer', 'class' => 'form-inline']) ?>
    <?= $this->Form->label('chofer', 'Asignar este Chofer:', ['class' => 'control-label']) ?>
    <?= $this->Form->select('chofer', $choferes, ['class' => 'form-control', 'empty' => true]) ?>
    <?= $this->Form->label('fecha', 'Asignar esta fecha:', ['class' => 'form-inline']) ?>
    <?= $this->Form->input('fecha', ['type' => 'text', 'class' => 'form-control', 'label' => false, 'value' => $fechaActual]) ?>
    <?= $this->Form->button('Cambiar', ['class' => 'btn btn-primary', 'type' => 'submit']) ?>
    <?= $this->Form->end() ?>
  </div>
<?php endif; ?>

<hr class="hr">

<div id="chasis_seleccionados">
  <!-- Contenido dinámico -->
</div>

<script>
  document.addEventListener('DOMContentLoaded', function() {
    // Función para agregar el campo oculto a un formulario dado

    function addHiddenInputToForm(formName, checkedValues) {
      var form = document.forms[formName];

      if (form) {
        var hiddenInput = form.querySelector('input[name="checkboxValues"]');

        if (!hiddenInput) {
          hiddenInput = document.createElement('input');
          hiddenInput.type = 'hidden';
          hiddenInput.name = 'checkboxValues';
          form.appendChild(hiddenInput);
        }

        hiddenInput.value = checkedValues.join(',');

      } else {
        console.error('Formulario "' + formName + '" no encontrado.');
      }
    }

    // Obtener todos los checkboxes
    var checkboxes = document.querySelectorAll('input[type="checkbox"]');

    // Iterar sobre cada checkbox
    checkboxes.forEach(function(checkbox) {
      // Verificar si hay un valor guardado en localStorage y establecer el estado del checkbox en consecuencia
      var checkboxId = checkbox.getAttribute('data-checkbox-id');
      var savedValue = localStorage.getItem('checkbox_' + checkboxId);

      if (savedValue === '1') {
        checkbox.checked = true;
      } else {
        checkbox.checked = false;
      }

      // Escuchar el evento change en cada checkbox
      checkbox.addEventListener('change', function() {

        if (this.checked) {

          // selecciona ID del TR donde esta el checkbox
          var fila = this.closest('tr');
          var valorChasis = fila.querySelector('#elchasis').textContent;
          valorChasis = valorChasis.trim();

          // guarda el checkbox en localStorage
          localStorage.setItem('checkbox_' + checkboxId, '1');
          // guarda el chasis en localStorage
          localStorage.setItem('chasis_' + checkboxId, valorChasis);

        } else {

          localStorage.removeItem('checkbox_' + checkboxId);
          localStorage.removeItem('chasis_' + checkboxId);

        }

        // Actualizar el campo oculto en ambos formularios
        updateHiddenFields();
        update_div_chasis_seleccionados();
      });
    });

    // Función para actualizar los campos ocultos en ambos formularios
    function updateHiddenFields() {
      var checkedValues = [];

      // Iterar sobre todos los elementos en localStorage
      for (var key in localStorage) {
        if (localStorage.hasOwnProperty(key) && key.startsWith('checkbox_')) {
          if (localStorage.getItem(key) === '1') {
            var checkboxId = key.replace('checkbox_', '');
            checkedValues.push(checkboxId);
          }
        }
      }

      // Actualizar el campo oculto
      addHiddenInputToForm('form_chofer', checkedValues);
    }

    // Llamar a updateHiddenFields() inicialmente para cargar los valores existentes
    updateHiddenFields();

    // Actualiza lista de chasis seleccionados
    update_div_chasis_seleccionados();

    function update_div_chasis_seleccionados() {

      const container = document.getElementById('chasis_seleccionados');
      let htmlContent = '<p><strong>Chasis seleccionado(s):</strong></p>';

      for (let i = 0; i < localStorage.length; i++) {
        const key = localStorage.key(i);

        // Verificar si la clave empieza con "chasis_"
        if (key.startsWith("chasis_")) {
          // Obtener el valor asociado a la clave
          const value = localStorage.getItem(key);

          // Imprimir la clave y el valor
          htmlContent += `<p>${value}</p>`;
        }
      }
      container.innerHTML = htmlContent;
    }
  });
</script>
