<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h2>Precios generales para los autos</h2>
        </div>

         <div class="table-responsive">
             <?php echo $this->Form->create('index', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('action' => 'index'))); ?>
         
              <?php echo $this->Form->input('search', array('label' => false, 'value' => $search, 'placeholder' => 'Modelo...')); ?>
              
          
          <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>
         </div>   

        <div class="table-responsive">
            <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('marca') ?></th>
                <th scope="col"><?= $this->Paginator->sort('modelo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ano') ?></th>

                <th scope="col"><?= $this->Paginator->sort('contadorecimp') ?></th>
                <th scope="col"><?= $this->Paginator->sort('contadorecuperado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('contadousado') ?></th>

                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
            </thead>
        <tbody>
            <?php foreach ($preciogenerals as $preciogeneral): ?>
            <tr>
                <td><?= $this->Number->format($preciogeneral->id) ?></td>
                <td><?= h($preciogeneral->marca) ?></td>
                <td><?= h($preciogeneral->modelo) ?></td>
                <td><?= h($preciogeneral->ano) ?></td>

                <td><?= $this->Number->format($preciogeneral->contadorecimp) ?></td>
                <td><?= $this->Number->format($preciogeneral->contadorecuperado) ?></td>
                <td><?= $this->Number->format($preciogeneral->contadousado) ?></td>
                <td class="actions">
                   <?= $this->Html->link(__('EDITAR'), ['action' => 'edit', $preciogeneral->id]) ?>
        
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('PRIMERO')) ?>
            <?= $this->Paginator->prev('< ' . __('ANTERIOR')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('SIGUIENTE') . ' >') ?>
            <?= $this->Paginator->last(__('ULTIMO') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
