
<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">PROPUESTAS DEL MES DE <?php echo $mes;?> - DIA <?php echo $dia;?></h4>
        </div>
        
       <div class="table-responsive">
             <table class="table  table-sm">
                <thead>
                    <tr>
                        <th><?= $this->Paginator->sort('cantidad', ['CANT. VENTA']) ?></th>
                        <th><?= $this->Paginator->sort('nombre', ['NOMBRE']) ?></th>
                        <th><?= $this->Paginator->sort('id', ['CODIGO DEL VENDEDOR']) ?></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($empleados as $empre): ?>
                    <tr>
                        <td><?= h($empre[2]) ?></td>
                        <td><?= h($empre[1]) ?></td>
                        <td><?= h($empre[0]) ?></td>   
                        <td class="actions">
                            <?= $this->Html->link(__('Ver propuestas'), ['action' => 'presupuestoporvendedor',$dia, $empre[0]] , ['class' => 'btn btn-sm btn-info']) ?>
                        </td> 

                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        

        <div class="page-header">
            <h4 align="center">VENDEDORES SIN PROPUESTAS DEL MES DE <?php echo $mes;?></h4>
        </div>
        
       <div class="table-responsive">
             <table class="table  table-sm">
                <thead>
                    <tr>
                        <th><?= $this->Paginator->sort('cantidad', ['CANT. VENTA']) ?></th>
                        <th><?= $this->Paginator->sort('nombre', ['NOMBRE']) ?></th>
                        <th><?= $this->Paginator->sort('id', ['CODIGO DEL VENDEDOR']) ?></th>

                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($empleadosin as $empre): ?>
                    <tr>
                        <td><?= h($empre[2]) ?></td>
                        <td><?= h($empre[1]) ?></td>
                        <td><?= h($empre[0]) ?></td>
                        <?php 
                          if( $current_user['id']==1){
                        ?>
                        <td><a href="https://api.whatsapp.com/send?phone=595973518086&text=Hola!%20Tu%20Propuesta?" target="_blank" class="btn btn-success">Enviar Mensaje</a></td>    
                        <?php 
                          }
                        ?>

                        
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>

    </div>
</div>