<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Chaperia $chaperia
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Chaperia'), ['action' => 'edit', $chaperia->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Chaperia'), ['action' => 'delete', $chaperia->id], ['confirm' => __('Are you sure you want to delete # {0}?', $chaperia->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Chaperias'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Chaperia'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="chaperias view large-9 medium-8 columns content">
    <h3><?= h($chaperia->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($chaperia->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chasis') ?></th>
            <td><?= h($chaperia->chasis) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Fechaultimaentrega') ?></th>
            <td><?= h($chaperia->fechaultimaentrega) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($chaperia->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Empleado') ?></th>
            <td><?= $this->Number->format($chaperia->empleado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Usuarioapp') ?></th>
            <td><?= $this->Number->format($chaperia->usuarioapp) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Monto') ?></th>
            <td><?= $this->Number->format($chaperia->monto) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cantidadpieza') ?></th>
            <td><?= $this->Number->format($chaperia->cantidadpieza) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Total') ?></th>
            <td><?= $this->Number->format($chaperia->total) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Entrega') ?></th>
            <td><?= $this->Number->format($chaperia->entrega) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Estado') ?></th>
            <td><?= $this->Number->format($chaperia->estado) ?></td>
        </tr>
    </table>
</div>
