<div class="row">
    <div class="col-md-12">
        <div class="page-header">
    		<h4 align="center">LISTADO DE REPUESTOS</h4>
    		
            <div class="container-fluid">
                <?php echo $this->Form->create('Repuestos', array('type' => 'GET', 'url' => array('controller' => 'Repuestos', 'action' => 'index'))); ?>
                <div class="row">
                    <div class="col-md-9 col-xs-12">
                        <?php echo $this->Form->input('search', array('label' => false, 'value' => $search, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Código o descripción...')); ?>
                    </div>
                    <div class="col-md-3 col-xs-12">
                        <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary btn-block')); ?>  <?php echo $this->Form->end(); ?>
                    </div>
                </div>
            </div>
            
    	</div>
        
       <div class="table-responsive">
             <table class="table  table-sm">
                <thead>
                    <tr>
                        <th></th>
                        <th><?= $this->Paginator->sort('prr_codigo', ['Cósigo']) ?></th>
                        <th><?= $this->Paginator->sort('prr_descripcion', ['Descripción']) ?></th>
                        <th><?= $this->Paginator->sort('prr_stock', ['Stock']) ?></th>
                        <th><?= $this->Paginator->sort('prr_venta1', ['P. Venta 1']) ?></th>
                        <th><?= $this->Paginator->sort('prr_venta2', ['P. Venta 2']) ?></th>
                        <th><?= $this->Paginator->sort('prr_venta3', ['P. Venta 3']) ?></th>
                        
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($repuestos as $repuesto): ?>
                    <tr>
                        
                        <td> <?php echo $this->Html->image('/img/repuesto/'. $repuesto->prr_imagen, array('width' => 80, 'height' => 60)); ?></td>
                        <td><?= h($repuesto->prr_codigo) ?></td>
                        <td><?= h($repuesto->prr_descripcion) ?></td>
                        <td><?= number_format($repuesto->prr_stock, 0, ',', '.') ?></td>
                        <td><?= number_format($repuesto->prr_venta1, 0, ',', '.') ?></td>
                        <td><?= number_format($repuesto->prr_venta2, 0, ',', '.') ?></td>
                        <td><?= number_format($repuesto->prr_venta3, 0, ',', '.') ?></td>
                        <td>

                        <a class="btn btn-sm btn-info" href= <?= '/img/repuesto/'. $repuesto->prr_imagen ?>>Ver foto</a>


                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>