<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Vehiculoprecio[]|\Cake\Collection\CollectionInterface $vehiculoprecio
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Vehiculoprecio'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="vehiculoprecio index large-9 medium-8 columns content">
    <h3><?= __('Vehiculoprecio') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('vpr_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_marcaid') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_modelo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_ano') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_compra') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_contado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_3meses') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_credito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_entrega') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_12meses') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_18meses') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_24meses') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_30meses') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_planzafra') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_borrado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_usuario') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_pc') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_deposito') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_cilindrada') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_contadorecimp') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_contado3mesesrecimp') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_gerente1recimp') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_gerente2recimp') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_gerente3recimp') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_contadorecuperado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_contado3mesesrecuperado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_gerente1recuperado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_gerente2recuperado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_gerente3recuperado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_contadousado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_contado3mesesusado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_gerente1usado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_gerente2usado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('vpr_gerente3usado') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($vehiculoprecio as $vehiculoprecio): ?>
            <tr>
                <td><?= $this->Number->format($vehiculoprecio->vpr_id) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_marcaid) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_modelo) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_ano) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_compra) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_contado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_3meses) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_credito) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_entrega) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_12meses) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_18meses) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_24meses) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_30meses) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_planzafra) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_borrado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_usuario) ?></td>
                <td><?= h($vehiculoprecio->vpr_pc) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_deposito) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_cilindrada) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_contadorecimp) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_contado3mesesrecimp) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_gerente1recimp) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_gerente2recimp) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_gerente3recimp) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_contadorecuperado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_contado3mesesrecuperado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_gerente1recuperado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_gerente2recuperado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_gerente3recuperado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_contadousado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_contado3mesesusado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_gerente1usado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_gerente2usado) ?></td>
                <td><?= $this->Number->format($vehiculoprecio->vpr_gerente3usado) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $vehiculoprecio->vpr_id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $vehiculoprecio->vpr_id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $vehiculoprecio->vpr_id], ['confirm' => __('Are you sure you want to delete # {0}?', $vehiculoprecio->vpr_id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
