<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Ventapordia $ventapordia
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $ventapordia->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $ventapordia->id)]
            )
        ?></li>
        <li><?= $this->Html->link(__('List Ventapordias'), ['action' => 'index']) ?></li>
    </ul>
</nav>
<div class="ventapordias form large-9 medium-8 columns content">
    <?= $this->Form->create($ventapordia) ?>
    <fieldset>
        <legend><?= __('Edit Ventapordia') ?></legend>
        <?php
            echo $this->Form->control('credito');
            echo $this->Form->control('empresa');
            echo $this->Form->control('ven_tipo');
            echo $this->Form->control('cli_tel');
            echo $this->Form->control('detalle');
            echo $this->Form->control('ven_nro');
            echo $this->Form->control('ven_moneda');
            echo $this->Form->control('cliente');
            echo $this->Form->control('ci');
            echo $this->Form->control('factura');
            echo $this->Form->control('chasis');
            echo $this->Form->control('pro_detallelargo');
            echo $this->Form->control('ve_moneda');
            echo $this->Form->control('compra');
            echo $this->Form->control('venta');
            echo $this->Form->control('entrega');
            echo $this->Form->control('saldo');
            echo $this->Form->control('chasisvehiculo');
            echo $this->Form->control('fecha');
            echo $this->Form->control('vendedor');
        ?>
    </fieldset>
    <?= $this->Form->button(__('Submit')) ?>
    <?= $this->Form->end() ?>
</div>
