<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Venta $venta
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Venta'), ['action' => 'edit', $venta->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Venta'), ['action' => 'delete', $venta->id], ['confirm' => __('Are you sure you want to delete # {0}?', $venta->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Ventas'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Venta'), ['action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="ventas view large-9 medium-8 columns content">
    <h3><?= h($venta->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Fecha') ?></th>
            <td><?= h($venta->fecha) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cedula') ?></th>
            <td><?= h($venta->cedula) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cliente') ?></th>
            <td><?= h($venta->cliente) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Chasis') ?></th>
            <td><?= h($venta->chasis) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Detalle') ?></th>
            <td><?= h($venta->detalle) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Moneda') ?></th>
            <td><?= h($venta->moneda) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Formadepago') ?></th>
            <td><?= h($venta->formadepago) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Monedacomision') ?></th>
            <td><?= h($venta->monedacomision) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($venta->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Total') ?></th>
            <td><?= $this->Number->format($venta->total) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Entregaminima') ?></th>
            <td><?= $this->Number->format($venta->entregaminima) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Entregado') ?></th>
            <td><?= $this->Number->format($venta->entregado) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Vendedor') ?></th>
            <td><?= $this->Number->format($venta->vendedor) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Cantidadcuota') ?></th>
            <td><?= $this->Number->format($venta->cantidadcuota) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Saldo') ?></th>
            <td><?= $this->Number->format($venta->saldo) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Comisionguaranies') ?></th>
            <td><?= $this->Number->format($venta->comisionguaranies) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Comisiondolares') ?></th>
            <td><?= $this->Number->format($venta->comisiondolares) ?></td>
        </tr>
    </table>
</div>
